settings
Gets the details of a Gable user
Gets the details of a Gable user by their email address. Users are automatically created in Gable the first time they log in. Use PATCH /v0/settings/user to update a user’s details.
POST
Gets the details of a Gable user
Authorizations
Body
application/json
Get user by email address
The email address of the user, which is the primary ID in Gable
Pattern:
^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$Response
User was found with the given email address
The email address of the user
Pattern:
^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$The status of the user
Available options:
ACTIVE, INVITED, DELETED The role of the user
Available options:
ADMIN, EDITOR, VIEWER The first name of the user, if available
The last name of the user, if available
The GitHub handle of the user or team, if available